Topic: Autoload??

Hi

I have an application running on Dreamhost since 2009, but recently it stopped working with the error message below. Rails version is 2.3.4

Any ideas?

-----

    * Phusion Passenger

Ruby on Rails application could not be started
These are the possible causes:

    *
      There may be a syntax error in the application's code. Please check for such errors and fix them.
    *
      A required library may not installed. Please install all libraries that this application requires.
    *
      The application may not be properly configured. Please check whether all configuration files are written correctly, fix any incorrect configurations, and restart this application.
    *
      A service that the application relies on (such as the database server or the Ferret search engine server) may not have been started. Please start that service.

Further information about the error may have been written to the application's log file. Please check it in order to analyse the problem.

Error message:
    uninitialized constant ActiveSupport::Autoload
Exception class:
    NameError
Application root:
    /home/megl/ub.ubtesten.info/current
Backtrace:
    #     File     Line     Location
    0     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     263     in `load_missing_constant'
    1     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     452     in `const_missing'
    2     /usr/lib/ruby/gems/1.8/gems/activemodel-3.0.3/lib/active_model.rb     30    
    3     /usr/lib/ruby/1.8/rubygems/custom_require.rb     31     in `gem_original_require'
    4     /usr/lib/ruby/1.8/rubygems/custom_require.rb     31     in `require'
    5     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     495     in `require'
    6     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     342     in `new_constants_in'
    7     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     495     in `require'
    8     /usr/lib/ruby/gems/1.8/gems/activeresource-3.0.3/lib/active_resource.rb     31    
    9     /usr/lib/ruby/1.8/rubygems/custom_require.rb     36     in `gem_original_require'
    10     /usr/lib/ruby/1.8/rubygems/custom_require.rb     36     in `require'
    11     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     495     in `require'
    12     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     342     in `new_constants_in'
    13     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb     495     in `require'
    14     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     170     in `require_frameworks'
    15     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     170     in `each'
    16     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     170     in `require_frameworks'
    17     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     90     in `process'
    18     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     49     in `send'
    19     /home/megl/ub.ubtesten.info/releases/20091005002001/vendor/rails/railties/lib/initializer.rb     49     in `run'
    20     /home/megl/ub.ubtesten.info/releases/20091005002001/config/environment.rb     13    
    21     /usr/lib/ruby/1.8/rubygems/custom_require.rb     31     in `gem_original_require'
    22     /usr/lib/ruby/1.8/rubygems/custom_require.rb     31     in `require'
    23     /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb     299     in `preload_application'
    24     /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb     248     in `initialize_server'
    25     /dh/passenger/lib/phusion_passenger/utils.rb     255     in `report_app_init_status'
    26     /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb     233     in `initialize_server'
    27     /dh/passenger/lib/phusion_passenger/abstract_server.rb     194     in `start_synchronously'
    28     /dh/passenger/lib/phusion_passenger/abstract_server.rb     163     in `start'
    29     /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb     209     in `start'
    30     /dh/passenger/lib/phusion_passenger/spawn_manager.rb     262     in `spawn_rails_application'
    31     /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb     126     in `lookup_or_add'
    32     /dh/passenger/lib/phusion_passenger/spawn_manager.rb     256     in `spawn_rails_application'
    33     /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb     80     in `synchronize'
    34     /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb     79     in `synchronize'
    35     /dh/passenger/lib/phusion_passenger/spawn_manager.rb     255     in `spawn_rails_application'
    36     /dh/passenger/lib/phusion_passenger/spawn_manager.rb     154     in `spawn_application'
    37     /dh/passenger/lib/phusion_passenger/spawn_manager.rb     287     in `handle_spawn_application'
    38     /dh/passenger/lib/phusion_passenger/abstract_server.rb     352     in `__send__'
    39     /dh/passenger/lib/phusion_passenger/abstract_server.rb     352     in `main_loop'
    40     /dh/passenger/lib/phusion_passenger/abstract_server.rb     196     in `start_synchronously'
    41     /dh/passenger/bin/passenger-spawn-server     61    

Powered by Phusion Passenger, mod_rails / mod_rack for Apache.